"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = Button;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _makeStyles = _interopRequireDefault(require("../styles/makeStyles"));

var useStyles = (0, _makeStyles["default"])({
  root: {
    borderRadius: 0
  }
});

function Button(_ref) {
  var children = _ref.children,
      props = (0, _objectWithoutProperties2["default"])(_ref, ["children"]);
  var classes = useStyles();
  return _react["default"].createElement(_Button["default"], (0, _extends2["default"])({
    disableRipple: true
  }, props, {
    className: classes.root
  }), children);
}

process.env.NODE_ENV !== "production" ? Button.propTypes = {
  /**
   * The content of the button.
   */
  children: _propTypes["default"].node.isRequired,

  /**
   * Override or extend the styles applied to the component.
   * See [CSS API](#css) below for more details.
   */
  classes: _propTypes["default"].object,

  /**
   * @ignore
   */
  className: _propTypes["default"].string,

  /**
   * The color of the component. It supports those theme colors that make sense for this component.
   */
  color: _propTypes["default"].oneOf(["default", "inherit", "primary", "secondary"]),

  /**
   * The component used for the root node.
   * Either a string to use a DOM element or a component.
   */
  component: _propTypes["default"].elementType,

  /**
   * If `true`, the button will be disabled.
   */
  disabled: _propTypes["default"].bool,

  /**
   * If `true`, the  keyboard focus ripple will be disabled.
   * `disableRipple` must also be true.
   */
  disableFocusRipple: _propTypes["default"].bool,

  /**
   * If `true`, the ripple effect will be disabled.
   *
   * ⚠️ Without a ripple there is no styling for :focus-visible by default. Be sure
   * to highlight the element by applying separate styles with the `focusVisibleClassName`.
   */
  disableRipple: _propTypes["default"].bool,

  /**
   * Element placed after the children.
   */
  endIcon: _propTypes["default"].node,

  /**
   * @ignore
   */
  focusVisibleClassName: _propTypes["default"].string,

  /**
   * If `true`, the button will take up the full width of its container.
   */
  fullWidth: _propTypes["default"].bool,

  /**
   * The URL to link to when the button is clicked.
   * If defined, an `a` element will be used as the root node.
   */
  href: _propTypes["default"].string,

  /**
   * The size of the button.
   * `small` is equivalent to the dense button styling.
   */
  size: _propTypes["default"].oneOf(["small", "medium", "large"]),

  /**
   * Element placed before the children.
   */
  startIcon: _propTypes["default"].node,

  /**
   * @ignore
   */
  type: _propTypes["default"].string,

  /**
   * The variant to use.
   */
  variant: _propTypes["default"].oneOf(["text", "outlined", "contained"])
} : void 0;

var _default = (0, _react.memo)(Button);

exports["default"] = _default;