"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _Grid = _interopRequireDefault(require("@material-ui/core/Grid"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var Grid = function Grid(props) {
  return _react["default"].createElement(_Grid["default"], props);
};

var gridNumberOptions = process.env.NODE_ENV !== "production" ? [false, "auto", true, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12] : {};
process.env.NODE_ENV !== "production" ? Grid.propTypes = {
  /** Conteúdo do componente */
  children: _propTypes["default"].node,

  /** Sobrepõe ou estende o estilo aplicado ao componente */
  classes: _propTypes["default"].object,

  /** Se true, o componente terá o comportamento de um container. Você deve envolver items com um container */
  container: _propTypes["default"].bool,

  /** Se true, o componente terá o comportamento de um item. Você deve envolver items com um container */
  item: _propTypes["default"].bool,

  /** Define o número de grids que o componente irá utilizar. É aplicado para o breakpoint lg e para telas maiores, se não for sobrescrito */
  lg: _propTypes["default"].oneOf(gridNumberOptions),

  /** Define o número de grids que o componente irá utilizar. É aplicado para o breakpoint md e para telas maiores, se não for sobrescrito */
  md: _propTypes["default"].oneOf(gridNumberOptions),

  /** Define o número de grids que o componente irá utilizar. É aplicado para o breakpoint sm e para telas maiores, se não for sobrescrito */
  sm: _propTypes["default"].oneOf(gridNumberOptions),

  /** Define o número de grids que o componente irá utilizar. É aplicado para o breakpoint xl e para telas maiores */
  xl: _propTypes["default"].oneOf(gridNumberOptions),

  /** Define o número de grids que o componente irá utilizar. É aplicado a todos os tamanhos de tela com a menor prioridade */
  xs: _propTypes["default"].oneOf(gridNumberOptions),

  /** Define o espaço entre os componentes do tipo item. Utilizado apenas em um componente do tipo container */
  spacing: _propTypes["default"].oneOf([0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]),

  /** Se true, define min-width: 0 no item. Consulte a seção de limitações da documentação para entender melhor o caso de uso */
  zeroMinWidth: _propTypes["default"].bool
} : void 0;
var memoGrid = (0, _react.memo)(Grid);
var _default = memoGrid;
exports["default"] = _default;