"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _colors = require("@material-ui/core/colors");

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _Slide = _interopRequireDefault(require("@material-ui/core/Slide"));

var _Snackbar = _interopRequireDefault(require("@material-ui/core/Snackbar"));

var _clsx = _interopRequireDefault(require("clsx"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _makeStyles = _interopRequireDefault(require("../styles/makeStyles"));

// import CheckCircleIcon from "@material-ui/icons/CheckCircle";
// import CloseIcon from "@material-ui/icons/Close";
// import ErrorIcon from "@material-ui/icons/Error";
// import InfoIcon from "@material-ui/icons/Info";
// import WarningIcon from "@material-ui/icons/Warning";
var useStyles = (0, _makeStyles["default"])(function (theme) {
  return {
    root: {
      backgroundColor: "#FFFFFF",
      color: theme.palette.text.primary
    },
    success: {
      borderLeft: "8px solid ".concat(_colors.green[600])
    },
    error: {
      borderLeft: "8px solid ".concat(theme.palette.error.dark)
    },
    info: {
      borderLeft: "8px solid ".concat(theme.palette.primary.main)
    },
    warning: {
      borderLeft: "8px solid ".concat(_colors.amber[700])
    },
    icon: {
      fontSize: 20
    },
    iconvariant: {
      opacity: 0.9,
      marginRight: theme.spacing(2)
    },
    iconsuccess: {
      color: _colors.green[600]
    },
    iconerror: {
      color: theme.palette.error.dark
    },
    iconinfo: {
      color: theme.palette.primary.main
    },
    iconwarning: {
      color: _colors.amber[700]
    },
    message: {
      display: "flex",
      alignItems: "center"
    }
  };
}); // const variantIcon = {
//   success: CheckCircleIcon,
//   warning: WarningIcon,
//   error: ErrorIcon,
//   info: InfoIcon
// };

var Snackbar = function Snackbar(_ref) {
  var className = _ref.className,
      message = _ref.message,
      variant = _ref.variant,
      props = (0, _objectWithoutProperties2["default"])(_ref, ["className", "message", "variant"]);
  var classes = useStyles();

  var transition = function transition(props) {
    return _react["default"].createElement(_Slide["default"], (0, _extends2["default"])({}, props, {
      direction: "left"
    }));
  }; // const Icon = variantIcon[variant];


  var Icon = function Icon() {
    return _react["default"].createElement(_react["default"].Fragment, null);
  };

  return _react["default"].createElement(_Snackbar["default"], (0, _extends2["default"])({
    anchorOrigin: {
      vertical: "top",
      horizontal: "right"
    },
    autoHideDuration: 4000,
    TransitionComponent: transition,
    ContentProps: {
      className: (0, _clsx["default"])(classes[variant], classes.root, className)
    },
    message: _react["default"].createElement("span", {
      id: "client-snackbar",
      className: classes.message
    }, _react["default"].createElement(Icon, {
      className: (0, _clsx["default"])(classes.icon, classes["icon".concat(variant)], classes.iconVariant)
    }), message),
    action: [_react["default"].createElement(_IconButton["default"], {
      key: "close",
      "aria-label": "close",
      color: "inherit",
      onClick: props.onClose
    }, "X")]
  }, props));
};

process.env.NODE_ENV !== "production" ? Snackbar.propTypes = {
  className: _propTypes["default"].string,
  message: _propTypes["default"].string.isRequired,
  variant: _propTypes["default"].oneOf(["error", "info", "success", "warning"])
} : void 0;
Snackbar.defaultProps = {
  variant: "success"
};
var memoSnackbar = (0, _react.memo)(Snackbar);
var _default = memoSnackbar;
exports["default"] = _default;