"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _TableCell = _interopRequireDefault(require("@material-ui/core/TableCell"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var TableCell = function TableCell(props) {
  return _react["default"].createElement(_TableCell["default"], props);
};

process.env.NODE_ENV !== "production" ? TableCell.propTypes = {
  /**
   * Set the text-align on the table cell content.
   *
   * Monetary or generally number fields **should be right aligned** as that allows
   * you to add them up quickly in your head without having to worry about decimals.
   */
  align: _propTypes["default"].oneOf(["inherit", "left", "center", "right", "justify"]),

  /**
   * The table cell contents.
   */
  children: _propTypes["default"].node,

  /**
   * Override or extend the styles applied to the component.
   * See [CSS API](#css) below for more details.
   */
  classes: _propTypes["default"].object.isRequired,

  /**
   * @ignore
   */
  className: _propTypes["default"].string,

  /**
   * The component used for the root node.
   * Either a string to use a DOM element or a component.
   */
  component: _propTypes["default"].elementType,

  /**
   * Sets the padding applied to the cell.
   * By default, the Table parent component set the value (`default`).
   */
  padding: _propTypes["default"].oneOf(["default", "checkbox", "none"]),

  /**
   * Set scope attribute.
   */
  scope: _propTypes["default"].string,

  /**
   * Specify the size of the cell.
   * By default, the Table parent component set the value (`medium`).
   */
  size: _propTypes["default"].oneOf(["small", "medium"]),

  /**
   * Set aria-sort direction.
   */
  sortDirection: _propTypes["default"].oneOf(["asc", "desc", false]),

  /**
   * Specify the cell type.
   * By default, the TableHead, TableBody or TableFooter parent component set the value.
   */
  variant: _propTypes["default"].oneOf(["head", "body", "footer"])
} : void 0;
TableCell.defaultProps = {
  classes: {}
};
var memoTableCell = (0, _react.memo)(TableCell);
var _default = memoTableCell;
exports["default"] = _default;