"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var Typography = function Typography(props) {
  return _react["default"].createElement(_Typography["default"], props);
};

process.env.NODE_ENV !== "production" ? Typography.propTypes = {
  /**
   * Set the text-align on the component.
   */
  align: _propTypes["default"].oneOf(["inherit", "left", "center", "right", "justify"]),

  /**
   * The content of the component.
   */
  children: _propTypes["default"].node,

  /**
   * Override or extend the styles applied to the component.
   * See [CSS API](#css) below for more details.
   */
  classes: _propTypes["default"].object.isRequired,

  /**
   * @ignore
   */
  className: _propTypes["default"].string,

  /**
   * The color of the component. It supports those theme colors that make sense for this component.
   */
  color: _propTypes["default"].oneOf(["initial", "inherit", "primary", "secondary", "textPrimary", "textSecondary", "error"]),

  /**
   * The component used for the root node.
   * Either a string to use a DOM element or a component.
   * By default, it maps the variant to a good default headline component.
   */
  component: _propTypes["default"].elementType,

  /**
   * Controls the display type
   */
  display: _propTypes["default"].oneOf(["initial", "block", "inline"]),

  /**
   * If `true`, the text will have a bottom margin.
   */
  gutterBottom: _propTypes["default"].bool,

  /**
   * If `true`, the text will not wrap, but instead will truncate with a text overflow ellipsis.
   *
   * Note that text overflow can only happen with block or inline-block level elements
   * (the element needs to have a width in order to overflow).
   */
  noWrap: _propTypes["default"].bool,

  /**
   * If `true`, the text will have a bottom margin.
   */
  paragraph: _propTypes["default"].bool,

  /**
   * Applies the theme typography styles.
   */
  variant: _propTypes["default"].oneOf(["h1", "h2", "h3", "h4", "h5", "h6", "subtitle1", "subtitle2", "body1", "body2", "caption", "button", "overline", "srOnly", "inherit"]),

  /**
   * We are empirically mapping the variant prop to a range of different DOM element types.
   * For instance, subtitle1 to `<h6>`.
   * If you wish to change that mapping, you can provide your own.
   * Alternatively, you can use the `component` prop.
   */
  variantMapping: _propTypes["default"].object
} : void 0;
Typography.defaultProps = {
  classes: {}
};
var memoTypography = (0, _react.memo)(Typography);
var _default = memoTypography;
exports["default"] = _default;