import { default as MatTableBody } from "@material-ui/core/TableBody";
import PropTypes from "prop-types";
import React, { memo } from "react";

const TableBody = props => React.createElement(MatTableBody, props);

process.env.NODE_ENV !== "production" ? TableBody.propTypes = {
  /**
   * The content of the component, normally `TableRow`.
   */
  children: PropTypes.node,

  /**
   * Override or extend the styles applied to the component.
   * See [CSS API](#css) below for more details.
   */
  classes: PropTypes.object.isRequired,

  /**
   * @ignore
   */
  className: PropTypes.string,

  /**
   * The component used for the root node.
   * Either a string to use a DOM element or a component.
   */
  component: PropTypes.elementType
} : void 0;
TableBody.defaultProps = {
  classes: {}
};
const memoTableBody = memo(TableBody);
export default memoTableBody;