import { default as MatTableHead } from "@material-ui/core/TableHead";
import PropTypes from "prop-types";
import React, { memo } from "react";

const TableHead = props => React.createElement(MatTableHead, props);

process.env.NODE_ENV !== "production" ? TableHead.propTypes = {
  /**
   * The content of the component, normally `TableRow`.
   */
  children: PropTypes.node,

  /**
   * Override or extend the styles applied to the component.
   * See [CSS API](#css) below for more details.
   */
  classes: PropTypes.object.isRequired,

  /**
   * @ignore
   */
  className: PropTypes.string,

  /**
   * The component used for the root node.
   * Either a string to use a DOM element or a component.
   */
  component: PropTypes.elementType
} : void 0;
TableHead.defaultProps = {
  classes: {}
};
const memoTableHead = memo(TableHead);
export default memoTableHead;