import { default as MatGrid } from "@material-ui/core/Grid";
import PropTypes from "prop-types";
import React, { memo } from "react";

var Grid = function Grid(props) {
  return React.createElement(MatGrid, props);
};

var gridNumberOptions = process.env.NODE_ENV !== "production" ? [false, "auto", true, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12] : {};
process.env.NODE_ENV !== "production" ? Grid.propTypes = {
  /** Conteúdo do componente */
  children: PropTypes.node,

  /** Sobrepõe ou estende o estilo aplicado ao componente */
  classes: PropTypes.object,

  /** Se true, o componente terá o comportamento de um container. Você deve envolver items com um container */
  container: PropTypes.bool,

  /** Se true, o componente terá o comportamento de um item. Você deve envolver items com um container */
  item: PropTypes.bool,

  /** Define o número de grids que o componente irá utilizar. É aplicado para o breakpoint lg e para telas maiores, se não for sobrescrito */
  lg: PropTypes.oneOf(gridNumberOptions),

  /** Define o número de grids que o componente irá utilizar. É aplicado para o breakpoint md e para telas maiores, se não for sobrescrito */
  md: PropTypes.oneOf(gridNumberOptions),

  /** Define o número de grids que o componente irá utilizar. É aplicado para o breakpoint sm e para telas maiores, se não for sobrescrito */
  sm: PropTypes.oneOf(gridNumberOptions),

  /** Define o número de grids que o componente irá utilizar. É aplicado para o breakpoint xl e para telas maiores */
  xl: PropTypes.oneOf(gridNumberOptions),

  /** Define o número de grids que o componente irá utilizar. É aplicado a todos os tamanhos de tela com a menor prioridade */
  xs: PropTypes.oneOf(gridNumberOptions),

  /** Define o espaço entre os componentes do tipo item. Utilizado apenas em um componente do tipo container */
  spacing: PropTypes.oneOf([0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]),

  /** Se true, define min-width: 0 no item. Consulte a seção de limitações da documentação para entender melhor o caso de uso */
  zeroMinWidth: PropTypes.bool
} : void 0;
var memoGrid = memo(Grid);
export default memoGrid;