import { default as MatTable } from "@material-ui/core/Table";
import PropTypes from "prop-types";
import React, { memo } from "react";

var Table = function Table(props) {
  return React.createElement(MatTable, props);
};

process.env.NODE_ENV !== "production" ? Table.propTypes = {
  /**
   * The content of the table, normally `TableHead` and `TableBody`.
   */
  children: PropTypes.node.isRequired,

  /**
   * Override or extend the styles applied to the component.
   * See [CSS API](#css) below for more details.
   */
  classes: PropTypes.object.isRequired,

  /**
   * @ignore
   */
  className: PropTypes.string,

  /**
   * The component used for the root node.
   * Either a string to use a DOM element or a component.
   */
  component: PropTypes.elementType,

  /**
   * Allows TableCells to inherit padding of the Table.
   */
  padding: PropTypes.oneOf(["default", "checkbox", "none"]),

  /**
   * Allows TableCells to inherit size of the Table.
   */
  size: PropTypes.oneOf(["small", "medium"]),

  /**
   * Set the header sticky.
   *
   * ⚠️ It doesn't work with IE 11.
   */
  stickyHeader: PropTypes.bool
} : void 0;
Table.defaultProps = {
  classes: {}
};
var memoTable = memo(Table);
export default memoTable;