import { default as MatTableRow } from "@material-ui/core/TableRow";
import PropTypes from "prop-types";
import React, { memo } from "react";

var TableRow = function TableRow(props) {
  return React.createElement(MatTableRow, props);
};

process.env.NODE_ENV !== "production" ? TableRow.propTypes = {
  /**
   * Should be valid <tr> children such as `TableCell`.
   */
  children: PropTypes.node,

  /**
   * Override or extend the styles applied to the component.
   * See [CSS API](#css) below for more details.
   */
  classes: PropTypes.object.isRequired,

  /**
   * @ignore
   */
  className: PropTypes.string,

  /**
   * The component used for the root node.
   * Either a string to use a DOM element or a component.
   */
  component: PropTypes.elementType,

  /**
   * If `true`, the table row will shade on hover.
   */
  hover: PropTypes.bool,

  /**
   * If `true`, the table row will have the selected shading.
   */
  selected: PropTypes.bool
} : void 0;
TableRow.defaultProps = {
  classes: {}
};
var memoTableRow = memo(TableRow);
export default memoTableRow;